<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <com.google.android.material.card.MaterialCardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardCornerRadius="5dp"
        app:cardElevation="4dp"
        app:contentPadding="8dp"
        android:layout_marginStart="12dp"
        android:layout_marginEnd="12dp"
        android:layout_marginTop="8dp"
        android:layout_marginBottom="8dp">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <com.google.android.material.imageview.ShapeableImageView
                android:id="@+id/ivArticleImage"
                android:layout_width="96dp"
                android:layout_height="96dp"
                android:scaleType="centerCrop"
                app:shapeAppearanceOverlay="@style/ivRoundedArticle"
                android:contentDescription="@string/article_icon_preview_text" />

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical"
                android:layout_marginStart="16dp">

                <TextView
                    android:id="@+id/tvTitle"
                    android:layout_width="250dp"
                    android:layout_height="76dp"
                    android:ellipsize="end"
                    android:maxLines="4"
                    android:text="@string/title_article_text"
                    android:textColor="@android:color/black"
                    android:textSize="14sp"
                    android:textStyle="bold"
                    android:fontFamily="@font/poppins_regular"/>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/tvSource"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="@string/source_article_text"
                        android:textColor="@color/gray"
                        android:fontFamily="@font/poppins_regular"/>

                    <TextView
                        android:id="@+id/tvPublishedAt"
                        android:layout_gravity="end"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/published_at_article_text"
                        android:textColor="@color/red_bold"
                        android:fontFamily="@font/poppins_regular"/>

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

        </androidx.appcompat.widget.LinearLayoutCompat>

    </com.google.android.material.card.MaterialCardView>

</androidx.appcompat.widget.LinearLayoutCompat>